@echo off

SET choice=a

rem !!!!!!!!!!!!!!!! Set Scrubber Exe Name
set EXE_FILE=not_defined
if EXIST ..\..\setup\hpzscr01.exe SET EXE_FILE=..\..\setup\hpzscr01.exe
if EXIST hpzscr01.exe SET EXE_FILE=hpzscr01.exe
if EXIST ..\..\setup\hpzscr40.exe SET EXE_FILE=..\..\setup\hpzscr40.exe
if EXIST hpzscr40.exe SET EXE_FILE=hpzscr40.exe
if "%EXE_FILE%" == "not_defined" goto MISSING_SCRUBBER_EXE

rem !!!!!!!!!!!!!!!! Set Scrubber Dat File Name
set FILE_CDA=not_defined
if EXIST ..\..\setup\hposcr14.dat SET FILE_CDA=hposcr14.dat
if EXIST hposcr14.dat SET FILE_CDA=hposcr14.dat
SET FILE_CDA=hposcr14.dat

set SCRUBBER_DAT_FILE=not_defined

if "%FILE_CDA%" == "not_defined" goto DAT_SCRUBBER
SET SCRUBBER_DAT_FILE=%FILE_CDA%
goto DAT_SCRUBBER

:DAT_SCRUBBER
if "%SCRUBBER_DAT_FILE%" == "not_defined" echo "**** Uninstall file not found: hposcr??.dat ****"


echo ******************** Executing Level4 CleanUP *********************
echo This cleanup utility will remove the HP Image Zone software and the
echo HP product drivers. Use this utility to remove software if you have a
echo problem using the software and would like to reinstall the software.
echo.
echo Use this LEVEL 4 cleanup if LEVEL 3 cleanup utility did not fix the problem 
echo and you continue to experience software problems with your HP All-in-One
echo.
echo LEVEL 4 is the most comprehensive cleanup level and 
echo will remove the HP product drivers, HP Image Zone software 
echo and all HP components installed with your HP All-in-One device
echo ********************************************************************
echo.
echo If you chose to UNINSTALL, Please do the following...
echo 1. Unplug the USB cable from the back of your HP All-in-One device
echo 2. After the cleanup finishes, restart your computer and wait for Windows 
echo    to start
echo 3. Eject and re-insert the software CD that came with your HP All-in-One 
echo    device to start the installation
echo 4. Follow the on-screen instructions to finish the installation
echo 5. Try printing a document to confirm functionality

if Windows_NT==%OS% GOTO WIN2K_XP
GOTO WIN9x_ME

:WIN2K_XP
echo Press ENTER to continue Uninstalling... 
echo              OR 
echo Press Q followed by ENTER to QUIT uninstallation

SET /P Choice=

IF /I "%choice:~0,1%"=="Q" GOTO END_QUIT

GOTO DISPLAY

:WIN9x_ME
choice /C:cq Press Q to quit Uninstall OR press C to continue...
if ERRORLEVEL==2 GOTO END_QUIT
if ERRORLEVEL==1 GOTO DISPLAY

GOTO END_QUIT


:DISPLAY

start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp -noreboot
	
start /w %EXE_FILE% -datfile hpqscr01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud05.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud06.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud11.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud13.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqhsc01.dat -unattended -nocopytotemp -noreboot
		
REM UNINSTALL HP Software Update
start /wait ..\..\setup\hpzmsi01.exe -u {7BB3DC99-71DA-4FCB-B0ED-ACA161DBCA4B}

REM UNINSTALL HP Image Zone Express
start /wait ..\..\setup\hpzmsi01.exe -u {1DBA2633-55BD-42E2-BA81-EA4EBEC2CCF4}

REM UNINSTALL HP SUPPLY
start /wait ..\..\setup\hpzmsi01.exe -u {FE9B929E-3BAF-40B1-BFFC-3A078ABAA0C8}

REM UNINSTALL HP SMART WEB PRINTING
start /wait ..\..\setup\hpzmsi01.exe -u {2D1F2124-29E6-460A-B140-E9DF3BC594CE}

REM UNINSTALL HP Drseuss Deskjet & Photosmart Series		
start /wait ..\..\setup\hpzscr01.exe -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp -forcereboot

goto END


:MISSING_SCRUBBER_EXE
echo "**** Uninstall file not found: hpzscr01.exe ****"
goto EXIT


:END
echo Uninstallation Completed.

:END_QUIT
echo DONE.

:EXIT
